
import Layout from '@/layout'
import { roterPre } from '@/settings'
const accountsRouter =
{
  path: `${roterPre}/accounts`,
  name: 'accounts',
  meta: {
    icon: '',
    title: '财务'
  },
  alwaysShow: true,
  component: Layout,
  children: [
    {
      path: 'extract',
      name: 'AccountsExtract',
      meta: {
        title: '提现管理',
        noCache: true
      },
      component: () => import('@/views/accounts/extract/index')
    },
    {
      path: 'bill',
      name: 'AccountsBill',
      meta: {
        title: '充值记录',
        noCache: true
      },
      component: () => import('@/views/accounts/bill/index')
    },
    {
      path: 'capital',
      name: 'AccountsCapital',
      meta: {
        title: '资金记录',
        noCache: true
      },
      component: () => import('@/views/accounts/capital/index')
    },
    {
      path: 'reconciliation',
      name: 'AccountsReconciliation',
      meta: {
        title: '财务对账',
        noCache: true
      },
      component: () => import('@/views/accounts/reconciliation/index')
    },
    {
      path: 'statement',
      name: 'AccountsStatement',
      meta: {
        title: '平台账单',
        noCache: true
      },
      component: () => import('@/views/accounts/statement/index')
    },
    {
      path: 'settlement',
      name: 'AccountsSettlement',
      meta: {
        title: '商户结算明细',
        noCache: true
      },
      component: () => import('@/views/accounts/settlement/index')
    },
    {
      path: 'merchantBill',
      name: 'AccountsMerchantBill',
      meta: {
        title: '商户账单',
        noCache: true
      },
      component: () => import('@/views/accounts/statement/merchantBill')
    },
    {
      path: 'billDetails/:id',
      name: 'BillDetails',
      meta: {
        title: '商户账单详情',
        noCache: true,
        activeMenu: `${roterPre}/accounts/merchantBill`
      },
      component: () => import('@/views/accounts/statement/merchantDetail'),
      hidden: true
    },
    {
      path: 'reconciliation/order/:id/:type?',
      name: 'ReconciliationOrder',
      component: () => import('@/views/merchant/list/record'),
      meta: {
        title: '查看订单',
        noCache: true,
        activeMenu: `${roterPre}/accounts/reconciliation`
      },
      hidden: true
    },
    {
      path: 'capitalFlow',
      name: 'AccountsCapitalFlow',
      meta: {
        title: '资金流水',
        noCache: true
      },
      component: () => import('@/views/accounts/capitalFlow/index')
    },
    {
      path: 'transferRecord',
      name: 'AccountsTransferRecord',
      meta: {
        title: '转账记录',
        noCache: true
      },
      component: () => import('@/views/accounts/transferRecord/index')
    },
    {
      path: 'setting',
      name: 'AccountsTransferSetting',
      meta: {
        title: '转账设置',
        noCache: true
      },
      component: () => import('@/views/accounts/transferManage/setting')
    },
    {
      path: 'invoiceDesc',
      name: 'AccountsInvoiceDesc',
      meta: {
        title: '发票说明',
        noCache: true
      },
      component: () => import('@/views/accounts/invoiceDesc/index')
    },
    {
      path: 'receipt',
      name: 'AccountsReceipt',
      meta: {
        title: '发票列表',
        noCache: true
      },
      component: () => import('@/views/accounts/receipt/index')
    },
    {
      path: 'settings',
      name: 'AccountsSetting',
      meta: {
        title: '转账设置',
        noCache: true
      },
      component: () => import('@/views/accounts/settings/index')
    },
  ]
}

export default accountsRouter
